<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        /* Please ❤ this if you like it! */


        @import url('https://fonts.googleapis.com/css?family=Poppins:100,100i,200,200i,300,300i,400,400i,500,500i,600,600i,700,700i,800,800i,900,900i&subset=devanagari,latin-ext');


        :root {
            --white: #ffffff;
            --light: #f0eff3;
            --black: #000000;
            --dark-blue: #1f2029;
            --dark-light: #353746;
            --red: #da2c4d;
            --yellow: #f8ab37;
            --grey: #ecedf3;
        }

        /* #Primary
================================================== */


        .checkbox:checked~.background-color {
            background-color: var(--white);
        }


        [type="checkbox"]:checked,
        [type="checkbox"]:not(:checked),
        [type="radio"]:checked,
        [type="radio"]:not(:checked) {
            position: absolute;
            left: -9999px;
            width: 0;
            height: 0;
            visibility: hidden;
        }

        .checkbox:checked+label,
        .checkbox:not(:checked)+label {
            position: relative;
            width: 70px;
            display: inline-block;
            padding: 0;
            margin: 0 auto;
            text-align: center;
            margin: 17px 0;
            margin-top: 100px;
            height: 6px;
            border-radius: 4px;
            background-image: linear-gradient(298deg, var(--red), var(--yellow));
            z-index: 100 !important;
        }

        .checkbox:checked+label:before,
        .checkbox:not(:checked)+label:before {
            position: absolute;
            font-family: 'unicons';
            cursor: pointer;
            top: -17px;
            z-index: 2;
            font-size: 20px;
            line-height: 40px;
            text-align: center;
            width: 40px;
            height: 40px;
            border-radius: 50%;
            -webkit-transition: all 300ms linear;
            transition: all 300ms linear;
        }

        .checkbox:not(:checked)+label:before {
            content: '\eac1';
            left: 0;
            color: var(--grey);
            background-color: var(--dark-light);
            box-shadow: 0 4px 4px rgba(0, 0, 0, 0.15), 0 0 0 1px rgba(26, 53, 71, 0.07);
        }

        .checkbox:checked+label:before {
            content: '\eb8f';
            left: 30px;
            color: var(--yellow);
            background-color: var(--dark-blue);
            box-shadow: 0 4px 4px rgba(26, 53, 71, 0.25), 0 0 0 1px rgba(26, 53, 71, 0.07);
        }

        .checkbox:checked~.section .container .row .col-12 p {
            color: var(--dark-blue);
        }


        .checkbox-tools:checked+label,
        .checkbox-tools:not(:checked)+label {
            position: relative;
            display: inline-block;
            padding: 20px;
            width: 110px;
            font-size: 14px;
            line-height: 20px;
            letter-spacing: 1px;
            margin: 0 auto;
            margin-left: 5px;
            margin-right: 5px;
            margin-bottom: 10px;
            text-align: center;
            border-radius: 4px;
            overflow: hidden;
            cursor: pointer;
            text-transform: uppercase;
            color: var(--white);
            -webkit-transition: all 300ms linear;
            transition: all 300ms linear;
        }

        .checkbox-tools:not(:checked)+label {
            background-color: var(--dark-light);
            box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.1);
        }

        .checkbox-tools:checked+label {
            background-color: transparent;
            box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
        }

        .checkbox-tools:not(:checked)+label:hover {
            box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
        }

        .checkbox-tools:checked+label::before,
        .checkbox-tools:not(:checked)+label::before {
            position: absolute;
            content: '';
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            border-radius: 4px;
            background-image: linear-gradient(298deg, var(--red), var(--yellow));
            z-index: -1;
        }

        .checkbox-tools:checked+label .uil,
        .checkbox-tools:not(:checked)+label .uil {
            font-size: 24px;
            line-height: 24px;
            display: block;
            padding-bottom: 10px;
        }

        .checkbox:checked~.section .container .row .col-12 .checkbox-tools:not(:checked)+label {
            background-color: var(--light);
            color: var(--dark-blue);
            box-shadow: 0 1x 4px 0 rgba(0, 0, 0, 0.05);
        }
    </style>
</head>

<body>
    <div class="section over-hide z-bigger">
        <input class="checkbox" type="checkbox" name="general" id="general">
        <label class="for-checkbox" for="general"></label>
        <div class="background-color"></div>
        <div class="section over-hide z-bigger">
            <div class="container pb-5">
                <div class="row justify-content-center pb-5">
                    <div class="col-12 pt-5">
                        <p class="mb-4 pb-2">Design Tools</p>
                    </div>
                    <div class="col-12 pb-5">
                        <input class="checkbox-tools" type="radio" name="tools" id="tool-1" checked>
                        <label class="for-checkbox-tools" for="tool-1">
                            <i class='uil uil-line-alt'></i>
                            line
                        </label>
                        <!--
    						--><input class="checkbox-tools" type="radio" name="tools" id="tool-2">
                        <label class="for-checkbox-tools" for="tool-2">
                            <i class='uil uil-vector-square'></i>
                            square
                        </label>
                        <!--
    						--><input class="checkbox-tools" type="radio" name="tools" id="tool-3">
                        <label class="for-checkbox-tools" for="tool-3">
                            <i class='uil uil-ruler'></i>
                            ruler
                        </label>
                        <!--
    						--><input class="checkbox-tools" type="radio" name="tools" id="tool-4">
                        <label class="for-checkbox-tools" for="tool-4">
                            <i class='uil uil-crop-alt'></i>
                            crop
                        </label>
                        <!--
    						--><input class="checkbox-tools" type="radio" name="tools" id="tool-5">
                        <label class="for-checkbox-tools" for="tool-5">
                            <i class='uil uil-brush-alt'></i>
                            brush
                        </label>
                        <!--
    						--><input class="checkbox-tools" type="radio" name="tools" id="tool-6">
                        <label class="for-checkbox-tools" for="tool-6">
                            <i class='uil uil-image-resize-landscape'></i>
                            resize
                        </label>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Link to page
    	================================================== -->

    <a href="https://front.codes" class="link-to-page" target="_blank"><img
            src="https://assets.codepen.io/1462889/fcy.png" alt=""></a>
</body>

</html>